Subject: bug#17508: closed (Re: bug#17508: 24.3.91; Emacs without dbus support and unclear error message.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 May 2014 13:15:03 +0000

Your bug report

#17508: 24.3.91; Emacs without dbus support and unclear error message.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17508: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17508
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17508: 24.3.91; Emacs without dbus support and unclear error message.
From: Michael Albinus <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: Nicolas Richard <[email-masked]>, [email-masked]
Date: Fri, 16 May 2014 15:14:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Andreas Schwab <[email-masked]> writes:

> Nicolas Richard <[email-masked]> writes:
>
>> I would in fact expect (require 'dbus) to give an error when no dbus
>> support is available.
>
> Just loading a library should never give an error.

Yep. I've added a check to `dbus-call-method' and friends, whether Emacs
has been compiled with D-Bus support. Fixed in the emacs-24 branch.

> Andreas.

Best regards, Michael.

Subject: 24.3.91; Emacs without dbus support and unclear error message.
From: Nicolas Richard <[email-masked]>
To: [email-masked]
Date: Fri, 16 May 2014 13:23:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

When emacs is compiled --without-dbus and one runs:

emacs -Q -l notifications --eval '(notifications-notify :title "foo" :body "bar")'

the error is cryptic:

Error: (void-variable dbus-message-type-method-call)

I would in fact expect (require 'dbus) to give an error when no dbus
support is available.

(This happened to me because I had not installed dbus-1-dev prior to
recompiling emacs.)

-- 
Nico.